from ll.xist import xsc
from ll.xist.ns import html, xml, meta

node = xsc.Frag(
                xml.XML(),
                html.DocTypeXHTML10transitional(),
                html.html(
                          html.head(
                                    meta.contenttype(),
                                    html.title("Example page")
                                    ),
                          html.body(
                                    html.h1("Welcome to the example page"),
                                    html.p(
                                           "This example page has a link to the ",
                                           html.a("Python home page", href="http://www.python.org/"),
                                           "."
                                           )
                                    )
                          )
                )

file_html = file("xist_example.html", "w")

file_html.write(node.pretty().conv().bytes(encoding="us-ascii"))