"""
SAX zpracovani dokumentu:
Program neprovadi zadnou cinnost, pouze pri statne strukture
XML dokumnetu vypise chybu. Funguje jako verifikator.
"""
#import modulu pro praci se vstupem a vystupem, s retezci
import sys, string
#import sax parseru
from xml.sax import make_parser
			
#Funkce pro beh 			
def run(inFileName):
	#vytvoreni instance parseru
	parser = make_parser()
	#otevreni souboru pro cteni
	inFile = open(inFileName, 'r')
	#parsovani souboru
	parser.parse(inFile)                                       
	#zatvreni souboru
	inFile.close()

#funkce pro test poctu vstupnich paramentru
def main():
	args = sys.argv[1:]				#seznam parametru
	#test spravneho poctu parametru
	if len(args) != 1:
		print 'Pro spusteni zadejte: python sax_ver.py jidlo.xml'
		sys.exit(-1)
	#volani funkce pro beh programu
	run(args[0])	

main()
